Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Transform.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Transform.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Transform.php	(revision 22796)
@@ -28,6 +28,5 @@
  * @version $Id$
  */
-class SC_Helper_Transform 
-{
+class SC_Helper_Transform {
     protected $objDOM;
     protected $arrSmartyTagsOrg;
@@ -50,6 +49,5 @@
      * @return void
      */
-    public function __construct($source)
-    {
+    public function __construct($source) {
         $this->objDOM = new DOMDocument();
         $this->objDOM->strictErrorChecking = false;
@@ -134,6 +132,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function select($selector, $index = NULL, $require = true, $err_msg = NULL)
-    {
+    public function select($selector, $index = NULL, $require = true, $err_msg = NULL) {
         $this->arrSelectElements = array();
         $this->search_depth = 0;
@@ -175,6 +172,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function find($selector, $index = NULL, $require = true, $err_msg = NULL)
-    {
+    public function find($selector, $index = NULL, $require = true, $err_msg = NULL) {
         $arrParentElements = $this->arrSelectElements[$this->search_depth];
         $this->search_depth++;
@@ -216,6 +212,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function end($back_num = 1)
-    {
+    public function end($back_num = 1) {
         if ($this->search_depth >= $back_num) {
             $this->search_depth -= $back_num;
@@ -234,6 +229,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function insertBefore($html_snip)
-    {
+    public function insertBefore($html_snip) {
         foreach ($this->arrSelectElements[$this->search_depth] as $key => $objElement) {
             $this->lfSetTransform('insertBefore', $objElement[0], $html_snip);
@@ -249,6 +243,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function insertAfter($html_snip)
-    {
+    public function insertAfter($html_snip) {
         foreach ($this->arrSelectElements[$this->search_depth] as $key => $objElement) {
             $this->lfSetTransform('insertAfter', $objElement[0], $html_snip);
@@ -264,6 +257,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function appendFirst($html_snip)
-    {
+    public function appendFirst($html_snip) {
         foreach ($this->arrSelectElements[$this->search_depth] as $key => $objElement) {
             $this->lfSetTransform('appendFirst', $objElement[0], $html_snip);
@@ -279,6 +271,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function appendChild($html_snip)
-    {
+    public function appendChild($html_snip) {
         foreach ($this->arrSelectElements[$this->search_depth] as $key => $objElement) {
             $this->lfSetTransform('appendChild', $objElement[0], $html_snip);
@@ -294,6 +285,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function replaceElement($html_snip)
-    {
+    public function replaceElement($html_snip) {
         foreach ($this->arrSelectElements[$this->search_depth] as $key => &$objElement) {
             $this->lfSetTransform('replaceElement', $objElement[0], $html_snip);
@@ -308,6 +298,5 @@
      * @return SC_Helper_Transformオブジェクト
      */
-    public function removeElement()
-    {
+    public function removeElement() {
         foreach ($this->arrSelectElements[$this->search_depth] as $key => &$objElement) {
             $this->lfSetTransform('replaceElement', $objElement[0], '');
@@ -322,6 +311,5 @@
      * @return string トランスフォーム済みHTML。まったくトランスフォームが行われなかった場合は元のHTMLを返す。。
      */
-    public function getHTML()
-    {
+    public function getHTML() {
         if (count($this->arrErr)) {
             // エラーメッセージ組み立て
@@ -370,6 +358,5 @@
      * @return string 代わりの文字列
      */
-    protected function lfCaptureSmartyTags2Comment(array $arrMatches)
-    {
+    protected function lfCaptureSmartyTags2Comment(array $arrMatches) {
         $substitute_tag = sprintf('<!--###%08d###-->', $this->smarty_tags_idx);
         $this->arrSmartyTagsOrg[$this->smarty_tags_idx] = $arrMatches[0];
@@ -388,6 +375,5 @@
      * @return string 代わりの文字列
      */
-    protected function lfCaptureHeadTags2Comment(array $arrMatches)
-    {
+    protected function lfCaptureHeadTags2Comment(array $arrMatches) {
         $substitute_tag = sprintf('<!--###%08d###-->', $this->smarty_tags_idx);
         $this->arrSmartyTagsOrg[$this->smarty_tags_idx] = $arrMatches[2];
@@ -412,6 +398,5 @@
      * @return string 代わりの文字列
      */
-    protected function lfCaptureSmartyTagsInTag(array $arrMatches)
-    {
+    protected function lfCaptureSmartyTagsInTag(array $arrMatches) {
         // Smartyタグ内のクォートを処理しやすいよう、いったんダミーのタグに
         $html = preg_replace_callback('/<\!--{.+?\}-->/s', array($this, 'lfCaptureSmartyTags2Temptag'), $arrMatches[0]);
@@ -430,6 +415,5 @@
      * @return string 代わりの文字列
      */
-    protected function lfCaptureSmartyTags2Temptag(array $arrMatches)
-    {
+    protected function lfCaptureSmartyTags2Temptag(array $arrMatches) {
         $substitute_tag = sprintf('###TEMP%08d###', $this->smarty_tags_idx);
         $this->arrSmartyTagsOrg[$this->smarty_tags_idx] = $arrMatches[0];
@@ -448,6 +432,5 @@
      * @return string 代わりの文字列
      */
-    protected function lfCaptureSmartyTagsInQuote(array $arrMatches)
-    {
+    protected function lfCaptureSmartyTagsInQuote(array $arrMatches) {
         $html = preg_replace_callback(
             '/###TEMP(\d{8})###/s',
@@ -467,6 +450,5 @@
      * @return string 代わりの文字列
      */
-    protected function lfCaptureSmartyTags2Value(array $arrMatches)
-    {
+    protected function lfCaptureSmartyTags2Value(array $arrMatches) {
         $tag_idx = (int)$arrMatches[1];
         $substitute_tag = sprintf('###%08d###', $tag_idx);
@@ -484,6 +466,5 @@
      * @return string 代わりの文字列
      */
-    protected function lfCaptureSmartyTags2Attr(array $arrMatches)
-    {
+    protected function lfCaptureSmartyTags2Attr(array $arrMatches) {
         $tag_idx = (int)$arrMatches[1];
         $substitute_tag = sprintf('rel%08d="######"', $tag_idx);
@@ -499,6 +480,5 @@
      * @return void
      */
-    protected function lfScanChild(DOMNode $objDOMElement, $parent_selector = '')
-    {
+    protected function lfScanChild(DOMNode $objDOMElement, $parent_selector = '') {
         $objNodeList = $objDOMElement->childNodes;
         if (is_null($objNodeList)) return;
@@ -536,6 +516,5 @@
      * @return string 正規表現文字列
      */
-    protected function lfSelector2Regex($selector, $parent_index = NULL)
-    {
+    protected function lfSelector2Regex($selector, $parent_index = NULL){
         // jQueryライクなセレクタを正規表現に
         $selector = preg_replace('/ *> */', ' >', $selector);   // 子セレクタをツリー検索用に 「A >B」の記法にする
@@ -572,6 +551,5 @@
      * @return void
      */
-    protected function lfAddElement($elementNo, array &$arrElement)
-    {
+    protected function lfAddElement($elementNo, array &$arrElement) {
         if (is_array($this->arrSelectElements[$this->search_depth]) && array_key_exists($arrElement[0], $this->arrSelectElements[$this->search_depth])) {
             //nop
@@ -591,6 +569,5 @@
      * @return boolean
      */
-    protected function lfSetTransform($mode, $target_key, $html_snip)
-    {
+    protected function lfSetTransform($mode, $target_key, $html_snip) {
 
         $substitute_tag = sprintf('<!--###%08d###-->', $this->smarty_tags_idx);
@@ -658,6 +635,5 @@
      * @return void
      */
-    protected function lfSetError($selector, $type, $err_msg = NULL)
-    {
+    protected function lfSetError($selector, $type, $err_msg = NULL) {
         $this->arrErr[] = array(
             'selector'    => $selector,
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php	(revision 22568)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Payment.php	(revision 22796)
@@ -35,14 +35,9 @@
      * 
      * @param integer $payment_id 支払方法ID
-     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
-    public function get($payment_id, $has_deleted = false)
-    {
+    public function get($payment_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'payment_id = ?';
-        if (!$has_deleted) {
-            $where .= ' AND del_flg = 0';
-        }
         $arrRet = $objQuery->select('*', 'dtb_payment', $where, array($payment_id));
         return $arrRet[0];
@@ -52,57 +47,14 @@
      * 支払方法一覧の取得.
      *
-     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
-    public function getList($has_deleted = false)
-    {
+    public function getList() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $col = 'payment_id, payment_method, payment_image, charge, rule_max, upper_rule, note, fix, charge_flg';
-        $where = '';
-        if (!$has_deleted) {
-            $where .= 'del_flg = 0';
-        }
+        $col = 'payment_id, payment_method, charge, rule_max, upper_rule, note, fix, charge_flg';
+        $where = 'del_flg = 0';
         $table = 'dtb_payment';
         $objQuery->setOrder('rank DESC');
         $arrRet = $objQuery->select($col, $table, $where);
         return $arrRet;
-    }
-
-    /**
-     * 購入金額に応じた支払方法を取得する.
-     *
-     * @param integer $total 購入金額
-     * @return array 購入金額に応じた支払方法の配列
-     */
-    function getByPrice($total)
-    {
-        // 削除されていない支払方法を取得
-        $payments = $this->getList();
-        $arrPayment = array();
-        foreach ($payments as $data) {
-            // 下限と上限が設定されている
-            if (strlen($data['rule_max']) != 0 && strlen($data['upper_rule']) != 0) {
-                if ($data['rule_max'] <= $total && $data['upper_rule'] >= $total) {
-                    $arrPayment[] = $data;
-                }
-            }
-            // 下限のみ設定されている
-            elseif (strlen($data['rule_max']) != 0) {
-                if ($data['rule_max'] <= $total) {
-                    $arrPayment[] = $data;
-                }
-            }
-            // 上限のみ設定されている
-            elseif (strlen($data['upper_rule']) != 0) {
-                if ($data['upper_rule'] >= $total) {
-                    $arrPayment[] = $data;
-                }
-            }
-            // いずれも設定なし
-            else {
-                $arrPayment[] = $data;
-            }
-        }
-        return $arrPayment;
     }
 
@@ -113,10 +65,8 @@
      * @return void
      */
-    public function save($sqlval)
-    {
+    public function save($sqlval) {
+        $payment_id = $sqlval['payment_id'];
+
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-
-        $payment_id = $sqlval['payment_id'];
-        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
         // 新規登録
         if ($payment_id == '') {
@@ -129,5 +79,4 @@
         } else {
             unset($sqlval['creator_id']);
-            unset($sqlval['create_date']);
             $where = 'payment_id = ?';
             $objQuery->update('dtb_payment', $sqlval, $where, array($payment_id));
@@ -141,6 +90,5 @@
      * @return void
      */
-    public function delete($payment_id)
-    {
+    public function delete($payment_id) {
         $objDb = new SC_Helper_DB_Ex();
         // ランク付きレコードの削除
@@ -154,6 +102,5 @@
      * @return void
      */
-    public function rankUp($payment_id)
-    {
+    public function rankUp($payment_id) {
         $objDb = new SC_Helper_DB_Ex();
         $objDb->sfRankUp('dtb_payment', 'payment_id', $payment_id);
@@ -166,6 +113,5 @@
      * @return void
      */
-    public function rankDown($payment_id)
-    {
+    public function rankDown($payment_id) {
         $objDb = new SC_Helper_DB_Ex();
         $objDb->sfRankDown('dtb_payment', 'payment_id', $payment_id);
@@ -180,19 +126,8 @@
      * @return boolean 決済モジュールを使用する支払い方法の場合 true
      */
-    public static function useModule($payment_id)
-    {
+    public static function useModule($payment_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $memo03 = $objQuery->get('memo03', 'dtb_payment', 'payment_id = ?', array($payment_id));
         return !SC_Utils_Ex::isBlank($memo03);
     }
-
-    /**
-     * 支払方法IDをキー, 名前を値とする配列を取得.
-     * 
-     * @return array
-     */
-    public static function getIDValueList()
-    {
-        return SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
-    }
 }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Plugin.php	(revision 22796)
@@ -28,6 +28,5 @@
  * @version $Id$
  */
-class SC_Helper_Plugin 
-{
+class SC_Helper_Plugin {
     // プラグインのインスタンスの配列.
     var $arrPluginInstances = array();
@@ -45,6 +44,5 @@
      * @return void
      */
-    function load($plugin_activate_flg = true)
-    {
+    function load($plugin_activate_flg = true) {
 
         if (!defined('CONFIG_REALFILE') || !file_exists(CONFIG_REALFILE)) return; // インストール前
@@ -80,6 +78,5 @@
      * @return object SC_Helper_Pluginオブジェクト
      */
-    static function getSingletonInstance($plugin_activate_flg = true)
-    {
+    static function getSingletonInstance($plugin_activate_flg = true) {
         if (!isset($GLOBALS['_SC_Helper_Plugin_instance'])) {
             // プラグインのローダーがDB接続を必要とするため、
@@ -103,6 +100,5 @@
      * @return void
      */
-    function doAction($hook_point, $arrArgs = array())
-    {
+    function doAction($hook_point, $arrArgs = array()) {
         if (is_array($arrArgs) === false) {
             array(&$arrArgs);
@@ -158,6 +154,5 @@
      * @param string $priority 実行順
      */
-    function registerSuperHookPoint($objPlugin, $hook_point, $function_name, $priority)
-    {
+    function registerSuperHookPoint($objPlugin, $hook_point, $function_name, $priority) {
         // スーパープラグイン関数を定義しているかを検証.
         if (method_exists($objPlugin, $function_name) === true) {
@@ -173,6 +168,5 @@
      * @param string $priority 実行順
      */
-    function registerLocalHookPoint($objPlugin, $priority)
-    {
+    function registerLocalHookPoint($objPlugin, $priority) {
         // ローカルプラグイン関数を定義しているかを検証.
         if (method_exists($objPlugin, 'register') === true) {
@@ -191,6 +185,5 @@
      * @return boolean 成功すればtrue
      */
-    function addAction($hook_point, $function, $priority = 0)
-    {
+    function addAction($hook_point, $function, $priority = 0) {
         if (!is_callable($function)) {
             // TODO エラー処理;　コール可能な形式ではありません
@@ -209,6 +202,5 @@
      * @return string コールバック関数を一意に識別するID
      */
-    function makeActionUniqueId($hook_point, $function, $priority)
-    {
+    function makeActionUniqueId($hook_point, $function, $priority) {
         static $filter_id_count = 0;
 
@@ -249,6 +241,5 @@
      * @return array $arrBlocsサイトルートからメディアディレクトリへの相対パス
      */
-    function getEnableBlocs($arrBlocs)
-    {
+    function getEnableBlocs($arrBlocs) {
         foreach ($arrBlocs as $key => $value) {
             // 有効なpluginのブロック以外.
@@ -270,6 +261,5 @@
      * @return void
      */
-    function setHeadNavi($url)
-    {
+    function setHeadNavi($url) {
         $this->arrHeadNaviBlocsByPlugin[$url] = TARGET_ID_HEAD;
     }
@@ -281,6 +271,5 @@
      * @return void
      */
-    function setHeadNaviBlocs(&$arrBlocs)
-    {
+    function setHeadNaviBlocs(&$arrBlocs) {
         foreach ($this->arrHeadNaviBlocsByPlugin as $key => $value) {
             $arrBlocs[] = array(
@@ -299,6 +288,5 @@
      * @return void
      */
-    public static function hook($hook_point, $arrArgs = array(), $plugin_activate_flg = PLUGIN_ACTIVATE_FLAG)
-    {
+    public static function hook($hook_point, $arrArgs = array(), $plugin_activate_flg = PLUGIN_ACTIVATE_FLAG) {
         $objPlugin = SC_Helper_Plugin::getSingletonInstance($plugin_activate_flg);
         $objPlugin->doAction($hook_point, $arrArgs);
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 22569)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Customer.php	(revision 22796)
@@ -30,23 +30,19 @@
  * @version $Id$
  */
-class SC_Helper_Customer 
-{
+class SC_Helper_Customer {
 
     /**
      * 会員情報の登録・編集処理を行う.
      *
-     * @param array $arrData 登録するデータの配列（SC_FormParamのgetDbArrayの戻り値）
+     * @param array $array 登録するデータの配列（SC_FormParamのgetDbArrayの戻り値）
      * @param array $customer_id nullの場合はinsert, 存在する場合はupdate
      * @access public
      * @return integer 登録編集したユーザーのcustomer_id
      */
-    function sfEditCustomerData($arrData, $customer_id = null)
-    {
+    function sfEditCustomerData($array, $customer_id = null) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objQuery->begin();
 
-        $old_version_flag = false;
-
-        $arrData['update_date'] = 'CURRENT_TIMESTAMP';    // 更新日
+        $array['update_date'] = 'CURRENT_TIMESTAMP';    // 更新日
 
         // salt値の生成(insert時)または取得(update時)。
@@ -55,15 +51,13 @@
 
             // 旧バージョン(2.11未満)からの移行を考慮
-            if (strlen($salt) === 0) {
-                $old_version_flag = true;
-            }
+            if (empty($salt)) $old_version_flag = true;
         } else {
             $salt = SC_Utils_Ex::sfGetRandomString(10);
-            $arrData['salt'] = $salt;
+            $array['salt'] = $salt;
         }
         //-- パスワードの更新がある場合は暗号化
-        if ($arrData['password'] == DEFAULT_PASSWORD or $arrData['password'] == '') {
+        if ($array['password'] == DEFAULT_PASSWORD or $array['password'] == '') {
             //更新しない
-            unset($arrData['password']);
+            unset($array['password']);
         } else {
             // 旧バージョン(2.11未満)からの移行を考慮
@@ -71,13 +65,13 @@
                 $is_password_updated = true;
                 $salt = SC_Utils_Ex::sfGetRandomString(10);
-                $arrData['salt'] = $salt;
-            }
-
-            $arrData['password'] = SC_Utils_Ex::sfGetHashString($arrData['password'], $salt);
+                $array['salt'] = $salt;
+            }
+
+            $array['password'] = SC_Utils_Ex::sfGetHashString($array['password'], $salt);
         }
         //-- 秘密の質問の更新がある場合は暗号化
-        if ($arrData['reminder_answer'] == DEFAULT_PASSWORD or $arrData['reminder_answer'] == '') {
+        if ($array['reminder_answer'] == DEFAULT_PASSWORD or $array['reminder_answer'] == '') {
             //更新しない
-            unset($arrData['reminder_answer']);
+            unset($array['reminder_answer']);
 
             // 旧バージョン(2.11未満)からの移行を考慮
@@ -85,5 +79,5 @@
                 // パスワードが更新される場合は、平文になっている秘密の質問を暗号化する
                 $reminder_answer = $objQuery->get('reminder_answer', 'dtb_customer', 'customer_id = ? ', array($customer_id));
-                $arrData['reminder_answer'] = SC_Utils_Ex::sfGetHashString($reminder_answer, $salt);
+                $array['reminder_answer'] = SC_Utils_Ex::sfGetHashString($reminder_answer, $salt);
             }
         } else {
@@ -91,7 +85,7 @@
             if ($old_version_flag && !$is_password_updated) {
                 // パスワードが更新されない場合は、平文のままにする
-                unset($arrData['salt']);
+                unset($array['salt']);
             } else {
-                $arrData['reminder_answer'] = SC_Utils_Ex::sfGetHashString($arrData['reminder_answer'], $salt);
+                $array['reminder_answer'] = SC_Utils_Ex::sfGetHashString($array['reminder_answer'], $salt);
             }
         }
@@ -100,5 +94,5 @@
         if (is_numeric($customer_id)) {
             // 編集
-            $objQuery->update('dtb_customer', $arrData, 'customer_id = ? ', array($customer_id));
+            $objQuery->update('dtb_customer', $array, 'customer_id = ? ', array($customer_id));
         } else {
             // 新規登録
@@ -106,14 +100,13 @@
             // 会員ID
             $customer_id = $objQuery->nextVal('dtb_customer_customer_id');
-            $arrData['customer_id'] = $customer_id;
+            $array['customer_id'] = $customer_id;
             // 作成日
-            if (is_null($arrData['create_date'])) {
-                $arrData['create_date'] = 'CURRENT_TIMESTAMP';
-            }
-            $objQuery->insert('dtb_customer', $arrData);
+            if (is_null($array['create_date'])) {
+                $array['create_date'] = 'CURRENT_TIMESTAMP';
+            }
+            $objQuery->insert('dtb_customer', $array);
         }
 
         $objQuery->commit();
-
         return $customer_id;
     }
@@ -127,8 +120,6 @@
      * @return array 最終ポイントの配列
      */
-    function sfGetCustomerPoint($order_id, $use_point, $add_point)
-    {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-
+    function sfGetCustomerPoint($order_id, $use_point, $add_point) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRet = $objQuery->select('customer_id', 'dtb_order', 'order_id = ?', array($order_id));
         $customer_id = $arrRet[0]['customer_id'];
@@ -146,5 +137,4 @@
             $point = '';
         }
-
         return array($point, $total_point);
     }
@@ -158,6 +148,5 @@
      * @return integer  0:登録可能     1:登録済み   2:再登録制限期間内削除ユーザー  3:自分のアドレス
      */
-    function sfCheckRegisterUserFromEmail($email)
-    {
+    function sfCheckRegisterUserFromEmail($email) {
         $objCustomer = new SC_Customer_Ex();
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -207,6 +196,5 @@
      * @return boolean メールアドレスが重複する場合 true
      */
-    function sfCustomerEmailDuplicationCheck($customer_id, $email)
-    {
+    function sfCustomerEmailDuplicationCheck($customer_id, $email) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -218,5 +206,4 @@
             || strlen($arrResults['email_mobile']) >= 1 &&  $email === $arrResults['email_mobile']
         ;
-
         return $return;
     }
@@ -230,6 +217,5 @@
      * @return array 会員情報の配列を返す
      */
-    function sfGetCustomerData($customer_id, $mask_flg = true)
-    {
+    function sfGetCustomerData($customer_id, $mask_flg = true) {
         $objQuery       =& SC_Query_Ex::getSingletonInstance();
 
@@ -253,5 +239,4 @@
             $arrForm['reminder_answer']   = DEFAULT_PASSWORD;
         }
-
         return $arrForm;
     }
@@ -268,8 +253,6 @@
      * @return array 対象会員データ
      */
-    function sfGetCustomerDataFromId($customer_id, $add_where = '', $arrAddVal = array())
-    {
+    function sfGetCustomerDataFromId($customer_id, $add_where = '', $arrAddVal = array()) {
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
-
         if ($add_where == '') {
             $where = 'customer_id = ?';
@@ -283,5 +266,4 @@
             $arrData = $objQuery->getRow('*', 'dtb_customer', $where, $arrAddVal);
         }
-
         return $arrData;
     }
@@ -293,6 +275,5 @@
      * @return string 会員登録キーの文字列
      */
-    function sfGetUniqSecretKey()
-    {
+    function sfGetUniqSecretKey() {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -301,5 +282,4 @@
             $exists = $objQuery->exists('dtb_customer', 'secret_key = ?', array($uniqid));
         } while ($exists);
-
         return $uniqid;
     }
@@ -313,8 +293,6 @@
      * @return integer 会員ID
      */
-    function sfGetCustomerId($uniqid, $check_status = false)
-    {
+    function sfGetCustomerId($uniqid, $check_status = false) {
         $objQuery   =& SC_Query_Ex::getSingletonInstance();
-
         $where      = 'secret_key = ?';
 
@@ -334,6 +312,5 @@
      * @return void
      */
-    function sfCustomerEntryParam(&$objFormParam, $isAdmin = false)
-    {
+    function sfCustomerEntryParam(&$objFormParam, $isAdmin = false) {
         SC_Helper_Customer_Ex::sfCustomerCommonParam($objFormParam);
         SC_Helper_Customer_Ex::sfCustomerRegisterParam($objFormParam, $isAdmin);
@@ -359,6 +336,5 @@
      * @return void
      */
-    function sfCustomerMypageParam(&$objFormParam)
-    {
+    function sfCustomerMypageParam(&$objFormParam) {
         SC_Helper_Customer_Ex::sfCustomerCommonParam($objFormParam);
         SC_Helper_Customer_Ex::sfCustomerRegisterParam($objFormParam, false, true);
@@ -379,6 +355,5 @@
      * @return void
      */
-    function sfCustomerCommonParam(&$objFormParam)
-    {
+    function sfCustomerCommonParam(&$objFormParam) {
         $objFormParam->addParam('お名前(姓)', 'name01', STEXT_LEN, 'aKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' ,'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('お名前(名)', 'name02', STEXT_LEN, 'aKV', array('EXIST_CHECK', 'NO_SPTAB', 'SPTAB_CHECK' , 'MAX_LENGTH_CHECK'));
@@ -406,7 +381,6 @@
      * @return void
      */
-    function sfCustomerRegisterParam(&$objFormParam, $isAdmin = false, $is_mypage = false)
-    {
-        $objFormParam->addParam('パスワード', 'password', PASSWORD_MAX_LEN, 'a', array('EXIST_CHECK', 'SPTAB_CHECK', 'ALNUM_CHECK'));
+    function sfCustomerRegisterParam(&$objFormParam, $isAdmin = false, $is_mypage = false) {
+        $objFormParam->addParam('パスワード', 'password', STEXT_LEN, 'a', array('EXIST_CHECK', 'SPTAB_CHECK', 'ALNUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('パスワード確認用の質問の答え', 'reminder_answer', STEXT_LEN, 'aKV', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('パスワード確認用の質問', 'reminder', STEXT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -420,5 +394,5 @@
         if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE) {
             $objFormParam->addParam('メールアドレス', 'email', null, 'a', array('NO_SPTAB', 'EXIST_CHECK', 'EMAIL_CHECK', 'SPTAB_CHECK' ,'EMAIL_CHAR_CHECK'));
-            $objFormParam->addParam('パスワード(確認)', 'password02', PASSWORD_MAX_LEN, 'a', array('EXIST_CHECK', 'SPTAB_CHECK' ,'ALNUM_CHECK'), '', false);
+            $objFormParam->addParam('パスワード(確認)', 'password02', STEXT_LEN, 'a', array('EXIST_CHECK', 'SPTAB_CHECK' ,'ALNUM_CHECK'), '', false);
             if (!$isAdmin) {
                 $objFormParam->addParam('メールアドレス(確認)', 'email02', null, 'a', array('NO_SPTAB', 'EXIST_CHECK', 'EMAIL_CHECK','SPTAB_CHECK' , 'EMAIL_CHAR_CHECK'), '', false);
@@ -437,6 +411,5 @@
      * @return array エラーの配列
      */
-    function sfCustomerEntryErrorCheck(&$objFormParam)
-    {
+    function sfCustomerEntryErrorCheck(&$objFormParam) {
         $objErr = SC_Helper_Customer_Ex::sfCustomerCommonErrorCheck($objFormParam);
         $objErr = SC_Helper_Customer_Ex::sfCustomerRegisterErrorCheck($objErr);
@@ -467,6 +440,5 @@
      * @return array エラーの配列
      */
-    function sfCustomerMypageErrorCheck(&$objFormParam, $isAdmin = false)
-    {
+    function sfCustomerMypageErrorCheck(&$objFormParam, $isAdmin = false) {
 
         $objFormParam->toLower('email_mobile');
@@ -485,5 +457,4 @@
             unset($objErr->arrErr['reminder_answer']);
         }
-
         return $objErr->arrErr;
     }
@@ -496,6 +467,5 @@
      * @return array エラー情報の配列
      */
-    function sfCustomerCommonErrorCheck(&$objFormParam)
-    {
+    function sfCustomerCommonErrorCheck(&$objFormParam) {
         $objFormParam->convParam();
         $objFormParam->toLower('email');
@@ -521,11 +491,10 @@
      * @return SC_CheckError $objErr エラー情報
      */
-    function sfCustomerRegisterErrorCheck(&$objErr, $isAdmin = false)
-    {
+    function sfCustomerRegisterErrorCheck(&$objErr, $isAdmin = false) {
         $objErr->doFunc(array('生年月日', 'year', 'month', 'day'), array('CHECK_BIRTHDAY'));
-        $objErr->doFunc(array('パスワード', 'password', PASSWORD_MIN_LEN, PASSWORD_MAX_LEN) ,array('NUM_RANGE_CHECK'));
 
         if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE) {
             if (!$isAdmin) {
+                $objErr->doFunc(array('パスワード', 'password', PASSWORD_MIN_LEN, PASSWORD_MAX_LEN) ,array('SPTAB_CHECK', 'NUM_RANGE_CHECK'));
                 $objErr->doFunc(array('メールアドレス', 'メールアドレス(確認)', 'email', 'email02') ,array('EQUAL_CHECK'));
             }
@@ -538,5 +507,4 @@
             $objErr->doFunc(array('携帯メールアドレス', 'email_mobile'), array('CHECK_REGIST_CUSTOMER_EMAIL', 'MOBILE_EMAIL_CHECK'));
         }
-
         return $objErr;
     }
@@ -549,6 +517,5 @@
      * @return void
      */
-    function sfSetSearchParam(&$objFormParam)
-    {
+    function sfSetSearchParam(&$objFormParam) {
         $objFormParam->addParam('会員ID', 'search_customer_id', ID_MAX_LEN, 'n', array('NUM_CHECK','MAX_LENGTH_CHECK'));
         $objFormParam->addParam('お名前', 'search_name', STEXT_LEN, 'KVa', array('SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
@@ -599,12 +566,9 @@
      * @return array エラー配列
      */
-    function sfCheckErrorSearchParam(&$objFormParam)
-    {
+    function sfCheckErrorSearchParam(&$objFormParam) {
         // パラメーターの基本チェック
         $arrErr = $objFormParam->checkError();
-        // エラーチェック対象のパラメータ取得
-        $array = $objFormParam->getHashArray();
         // 拡張エラーチェック初期化
-        $objErr = new SC_CheckError_Ex($array);
+        $objErr = new SC_CheckError_Ex($objFormParam->getHashArray());
         // 拡張エラーチェック
         $objErr->doFunc(array('誕生日(開始日)', 'search_b_start_year', 'search_b_start_month', 'search_b_start_day'), array('CHECK_DATE'));
@@ -622,5 +586,5 @@
         if (SC_Utils_Ex::sfIsInt($array['search_buy_total_from'])
             && SC_Utils_Ex::sfIsInt($array['search_buy_total_to'])
-            && $array['search_buy_total_from'] > $array['search_buy_total_to']
+            && $array['search_buy_total_from'] > $array['buy_total_to']
         ) {
             $objErr->arrErr['search_buy_total_from'] .= '※ 購入金額の指定範囲が不正です。';
@@ -636,5 +600,4 @@
             $arrErr = array_merge($arrErr, $objErr->arrErr);
         }
-
         return $arrErr;
     }
@@ -647,9 +610,7 @@
      * @return array( integer 全体件数, mixed 会員データ一覧配列, mixed SC_PageNaviオブジェクト)
      */
-    function sfGetSearchData($arrParam, $limitMode = '')
-    {
+    function sfGetSearchData($arrParam, $limitMode = '') {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objSelect = new SC_CustomerList_Ex($arrParam, 'customer');
-
         $page_max = SC_Utils_Ex::sfGetSearchPageMax($arrParam['search_page_max']);
         $disp_pageno = $arrParam['search_pageno'];
@@ -682,33 +643,9 @@
      * @return boolean 仮会員の場合 true
      */
-    public function checkTempCustomer($login_email)
-    {
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-
+    public function checkTempCustomer($login_email) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
         $where = 'email = ? AND status = 1 AND del_flg = 0';
         $exists = $objQuery->exists('dtb_customer', $where, array($login_email));
-
         return $exists;
     }
-
-    /**
-     * 会員を削除する処理
-     *
-     * @param integer $customer_id 会員ID
-     * @return boolean true:成功 false:失敗
-     */
-    public static function delete($customer_id)
-    {
-        $arrData = SC_Helper_Customer_Ex::sfGetCustomerDataFromId($customer_id, 'del_flg = 0');
-        if (SC_Utils_Ex::isBlank($arrData)) {
-            //対象となるデータが見つからない。
-            return false;
-        }
-        // XXXX: 仮会員は物理削除となっていたが論理削除に変更。
-        $arrVal = array(
-            'del_flg' => '1',
-        );
-        SC_Helper_Customer_Ex::sfEditCustomerData($arrVal, $customer_id);
-        return true;
-    }
 }
